Bug 177231 - [patch] update www/piwigo to 2.5.0
Summary: [patch] update www/piwigo to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 13:30 UTC by glz
Modified: 2013-03-23 13:30 UTC (History)
0 users

See Also:


Attachments
file.diff (99.64 KB, patch)
2013-03-22 13:30 UTC, glz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description glz 2013-03-22 13:30:00 UTC
Update piwigo from 2.3.4 to 2.5.0

This update fixes security issues and adds new features incl. oAuth support.
For full description of features and bugfixes: http://piwigo.org/releases/2.5.0

Fix: Patch attached with submission follows:
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-03-22 18:12:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter service freebsd_committer 2013-03-23 13:28:19 UTC
Author: rm
Date: Sat Mar 23 13:28:00 2013
New Revision: 315029
URL: http://svnweb.freebsd.org/changeset/ports/315029

Log:
  - update to 2.5.0
  
  PR:		177231
  Submitted by:	Goran Lowkrantz <glz@hidden-powers.com>
  Security:	edd201a5-8fc3-11e2-b131-000c299b62e1

Added:
  head/www/piwigo/files/pkg-install.in   (contents, props changed)
Modified:
  head/www/piwigo/Makefile
  head/www/piwigo/distinfo
  head/www/piwigo/files/pkg-message.in
  head/www/piwigo/pkg-plist

Modified: head/www/piwigo/Makefile
==============================================================================
--- head/www/piwigo/Makefile	Sat Mar 23 13:11:45 2013	(r315028)
+++ head/www/piwigo/Makefile	Sat Mar 23 13:28:00 2013	(r315029)
@@ -1,59 +1,78 @@
-# New ports collection makefile for:   phpwebgallery
-# Date created:        8 June 2008
-# Whom:                Goran Lowkrantz <glz@hidden-powers.com>
-#
+# Created by: Goran Lowkrantz <glz@hidden-powers.com>
 # $FreeBSD$
-#
 
 PORTNAME=	piwigo
-PORTVERSION=	2.3.4
+PORTVERSION=	2.5.0
 CATEGORIES=	www
 MASTER_SITES=	http://piwigo.org/download/dlcounter.php?code=${PORTVERSION}&/ \
 		SF/${PORTNAME}/Piwigo/${PORTVERSION}
 
 MAINTAINER=	glz@hidden-powers.com
-COMMENT=	A PHP based Web Gallery
+COMMENT=	PHP based Web Gallery
 
 NO_BUILD=	yes
 USE_PHP=	calendar ctype dom exif filter gd gettext hash iconv json \
-		mbstring mcrypt mhash mysql openssl pcre pdf pdo posix session \
+		mbstring mcrypt mhash mysql mysqli openssl pcre pdf pdo posix session \
 		simplexml sockets spl tokenizer xml xmlreader xmlwriter zlib
 USE_ZIP=	yes
 WANT_PHP_WEB=	yes
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
+SUB_FILES=	pkg-install pkg-deinstall pkg-message
+SUB_LIST+=	CP="${CP}" \
+		MKDIR="${MKDIR}" \
+		CHOWN="${CHOWN}" \
+		TOUCH="${TOUCH}" \
+		WWWOWN="${WWWOWN}" \
+		WWWGRP="${WWWGRP}"
+
+OPTIONS_DEFINE=	IMAGICK
+OPTIONS_DEFAULT=IMAGICK
+IMAGICK_DESC=	${IMAGEMAGICK_DESC}
+
 PORTDOCS=	COPYING README_en.txt README_fr.txt
-SUB_FILES=	pkg-deinstall pkg-message
+
+PLIST_SUB+=	WWWOWN="${WWWOWN}" \
+		WWWGRP="${WWWGRP}" \
+		CHOWN="${CHOWN}"
+
+.include <bsd.port.pre.mk>
+
+.if ${PORT_OPTIONS:MIMAGICK}
+.if ${PORT_OPTIONS:MX11}
+RUN_DEPENDS+=	${LOCALBASE}/bin/convert:${PORTSDIR}/graphics/ImageMagick
+.else
+RUN_DEPENDS+=	${LOCALBASE}/bin/convert:${PORTSDIR}/graphics/ImageMagick-nox11
+.endif
+.endif
 
 post-extract:
 	@${CHMOD} -R o-w ${WRKSRC}
 
 do-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${INSTALL} -d ${DOCSDIR}/
 	@cd ${WRKSRC}/doc/ && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}/
 .endif
-.if !defined(NOPORTEXAMPLES)
+.if ${PORT_OPTIONS:MEXAMPLES}
 	@${INSTALL} -d ${EXAMPLESDIR}/
 	@cd ${WRKSRC}/tools/ && ${COPYTREE_SHARE} . ${EXAMPLESDIR}/
 .endif
 
-# Own version with our owners and we also have to protect if
-# galleries is read-only.
-
-	@${RM} -fr ${WRKSRC}/doc/ ${WRKSRC}/tools/
+	@${RM} -fr ${WRKSRC}/doc/ ${WRKSRC}/tools/ ${WRKSRC}/_data/ ${WRKSRC}/upload/
 	@${MV} ${WRKSRC}/local/ ${WRKSRC}/local.sample/
-	@${TOUCH} ${WRKSRC}/upload/.keepme
-	@cd ${WRKSRC}/ && ${COPYTREE_WWW} . ${WWWDIR}
-	@${CHMOD} ugo+rwx ${WWWDIR}/_data/
+	@cd ${WRKSRC}/ && ${COPYTREE_INSTALL} . ${WWWDIR}
 
 post-install:
+	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
-COPYTREE_WWW=	\
-	${SH} -c '(${FIND} -d $$0 $$2 | ${CPIO} -dumpl $$1 >/dev/null 2>&1) && \
-		${CHOWN} -fR ${WWWOWN}:${WWWGRP} $$1 && \
-		${FIND} -d $$0 $$2 -type d -exec ${CHMOD} -f 755 $$1/{} \; && \
-		${FIND} -d $$0 $$2 -type f -exec ${CHMOD} -f 644 $$1/{} \;' --
+# Own version with our owners and we also have to protect if
+# galleries is read-only.
+COPYTREE_INSTALL=	${SH} -c '(${CHOWN} -R ${SHAREOWN}:${SHAREGRP} $$0 && \
+		${FIND} -d $$0 $$2 | ${CPIO} -dumpl $$1 >/dev/null \
+		2>&1) && \
+		${FIND} -d $$0 $$2 -type d -exec ${CHMOD} 755 $$1/{} \; && \
+		${FIND} -d $$0 $$2 -type f -exec ${CHMOD} ${SHAREMODE} $$1/{} \;' --
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>

Modified: head/www/piwigo/distinfo
==============================================================================
--- head/www/piwigo/distinfo	Sat Mar 23 13:11:45 2013	(r315028)
+++ head/www/piwigo/distinfo	Sat Mar 23 13:28:00 2013	(r315029)
@@ -1,2 +1,2 @@
-SHA256 (piwigo-2.3.4.zip) = a2371e9db3b35c94fb21b242ca1df9eaf97bfe1a213dea66ad808d606c8ba9f6
-SIZE (piwigo-2.3.4.zip) = 4110130
+SHA256 (piwigo-2.5.0.zip) = cf3ea60e84474ffbc3c8eab00b2ba6dad89c540b48ae6b0ebfa878188240e656
+SIZE (piwigo-2.5.0.zip) = 5381018

Added: head/www/piwigo/files/pkg-install.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/piwigo/files/pkg-install.in	Sat Mar 23 13:28:00 2013	(r315029)
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+PATH=/bin:/usr/sbin:/usr/bin:/usr/sbin
+
+WWWDIR="%%WWWDIR%%"
+
+CP="%%CP%%"
+MKDIR="%%MKDIR%%"
+CHOWN="%%CHOWN%%"
+TOUCH="%%TOUCH%%"
+
+WWWOWN="%%WWWOWN%%"
+WWWGRP="%%WWWGRP%%"
+
+post-install() {
+	if [ ! -e ${WWWDIR}/local ]; then
+		${CP} -a ${WWWDIR}/local.sample ${WWWDIR}/local
+	fi
+	if [ ! -e ${WWWDIR}/_data ]; then
+		${MKDIR} -m 777 ${WWWDIR}/_data
+		${CHOWN} ${WWWOWN}:${WWWGRP} ${WWWDIR}/_data
+		${TOUCH} ${WWWDIR}/_data/dummy.txt
+	fi
+	${CHOWN} -fR ${WWWOWN}:${WWWGRP} ${WWWDIR}/plugins
+	if [ ! -e ${WWWDIR}/upload ]; then
+		${MKDIR} -m 750 ${WWWDIR}/upload
+		${CHOWN} -fR ${WWWOWN}:${WWWGRP} ${WWWDIR}/upload
+		${TOUCH} ${WWWDIR}/upload/.keepme
+	fi
+}
+
+case $2 in
+	POST-INSTALL)
+		post-install
+		;;
+esac

Modified: head/www/piwigo/files/pkg-message.in
==============================================================================
--- head/www/piwigo/files/pkg-message.in	Sat Mar 23 13:11:45 2013	(r315028)
+++ head/www/piwigo/files/pkg-message.in	Sat Mar 23 13:28:00 2013	(r315029)
@@ -1,16 +1,23 @@
 ****************************************************************
 The Piwigo Photo Gallery has been installed in the directory
-%%WWWDIR%% 
-with the documentation at 
-%%DOCSDIR%% 
-and the content of the tools directory at 
+%%WWWDIR%%
+and optionally, with the documentation at
+%%DOCSDIR%%
+and the content of the tools directory at
 %%EXAMPLESDIR%%.
 
 If this is a new installation, don't forget to verify that your
-PHP configuration is OK and that you have an mySQL database.
-The local.sample directory contains the empty structure 
+PHP configuration is OK and that you have an MySQL database.
+The local directory contains the empty structure 
 used to store local configuration.
 
+Make sure the ownership and mode of the installation
+match your intended use.
+
+If you included ImageMagick, don't forget to set
+$conf['ext_imagick_dir'] = '%%LOCALBASE%%/bin/';
+in your local config.
+
 You must add appropriate configuration directives to your
 apache configuration file (%%PREFIX%%/etc/apache/httpd.conf).
 A typical configuration would be:

Modified: head/www/piwigo/pkg-plist
==============================================================================
--- head/www/piwigo/pkg-plist	Sat Mar 23 13:11:45 2013	(r315028)
+++ head/www/piwigo/pkg-plist	Sat Mar 23 13:28:00 2013	(r315029)
@@ -1,36 +1,29 @@
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/albums.lang.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/config.inc.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/convert_language_to_2.1.pl
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/convert_template_to_2.1.pl
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/create_listing_file.php
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/create_listing_file_local.inc.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/fill_history.pl
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/index.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/key2value.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/language/translation_validated.inc.php
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/local-layout.css
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/metadata.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/missing_keys.pl
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/photos.lang.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/piwigo_remote.pl
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/prototype.js
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/pwg_rel_create.sh
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/release_creation.readme
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/replace.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/replace_language_keys.pl
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/replace_language_values.pl
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/tablesorter/asc.gif
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/tablesorter/bg.gif
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/tablesorter/desc.gif
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/tablesorter/jquery.tablesorter.css
-%%PORTEXAMPLES%%%%EXAMPLESDIR%%/tablesorter/jquery.tablesorter.min.js
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/translation_analysis.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/triggers_list.php
 %%PORTEXAMPLES%%%%EXAMPLESDIR%%/ws.htm
+@exec mkdir -m 0750 -p %D/_data
+@exec %%CHOWN%% %%WWWOWN%%:%%WWWGRP%% %D/_data
 %%WWWDIR%%/_data/dummy.txt
 %%WWWDIR%%/about.php
 %%WWWDIR%%/action.php
 %%WWWDIR%%/admin.php
+%%WWWDIR%%/admin/album.php
+%%WWWDIR%%/admin/album_notification.php
 %%WWWDIR%%/admin/batch_manager.php
 %%WWWDIR%%/admin/batch_manager_global.php
 %%WWWDIR%%/admin/batch_manager_unit.php
@@ -47,8 +40,12 @@
 %%WWWDIR%%/admin/group_perm.php
 %%WWWDIR%%/admin/help.php
 %%WWWDIR%%/admin/history.php
+%%WWWDIR%%/admin/include/add_core_tabs.inc.php
+%%WWWDIR%%/admin/include/albums_tab.inc.php
 %%WWWDIR%%/admin/include/c13y_internal.class.php
 %%WWWDIR%%/admin/include/check_integrity.class.php
+%%WWWDIR%%/admin/include/configuration_sizes_process.inc.php
+%%WWWDIR%%/admin/include/configuration_watermark_process.inc.php
 %%WWWDIR%%/admin/include/functions.php
 %%WWWDIR%%/admin/include/functions_history.inc.php
 %%WWWDIR%%/admin/include/functions_install.inc.php
@@ -84,11 +81,12 @@
 %%WWWDIR%%/admin/menubar.php
 %%WWWDIR%%/admin/notification_by_mail.php
 %%WWWDIR%%/admin/permalinks.php
+%%WWWDIR%%/admin/photo.php
 %%WWWDIR%%/admin/photos_add.php
+%%WWWDIR%%/admin/photos_add_applications.php
 %%WWWDIR%%/admin/photos_add_direct.php
 %%WWWDIR%%/admin/photos_add_ftp.php
-%%WWWDIR%%/admin/photos_add_ploader.php
-%%WWWDIR%%/admin/photos_add_settings.php
+%%WWWDIR%%/admin/picture_coi.php
 %%WWWDIR%%/admin/picture_modify.php
 %%WWWDIR%%/admin/plugin.php
 %%WWWDIR%%/admin/plugins.php
@@ -100,7 +98,6 @@
 %%WWWDIR%%/admin/rating_user.php
 %%WWWDIR%%/admin/site_manager.php
 %%WWWDIR%%/admin/site_reader_local.php
-%%WWWDIR%%/admin/site_reader_remote.php
 %%WWWDIR%%/admin/site_update.php
 %%WWWDIR%%/admin/stats.php
 %%WWWDIR%%/admin/tags.php
@@ -167,6 +164,7 @@
 %%WWWDIR%%/admin/themes/clear/images/resizable-se.gif
 %%WWWDIR%%/admin/themes/clear/images/resizable-sw.gif
 %%WWWDIR%%/admin/themes/clear/images/resizable-w.gif
+%%WWWDIR%%/admin/themes/clear/images/stripe-cat.png
 %%WWWDIR%%/admin/themes/clear/images/transparent.gif
 %%WWWDIR%%/admin/themes/clear/index.php
 %%WWWDIR%%/admin/themes/clear/mail-css.tpl
@@ -226,12 +224,17 @@
 %%WWWDIR%%/admin/themes/default/icon/warnings.png
 %%WWWDIR%%/admin/themes/default/images/ajax-loader-bar.gif
 %%WWWDIR%%/admin/themes/default/images/ajax-loader.gif
+%%WWWDIR%%/admin/themes/default/images/jgrowl-alert.png
+%%WWWDIR%%/admin/themes/default/images/jgrowl-check.png
+%%WWWDIR%%/admin/themes/default/images/jgrowl-error.png
 %%WWWDIR%%/admin/themes/default/images/logo.png
 %%WWWDIR%%/admin/themes/default/images/pbar-ani.gif
 %%WWWDIR%%/admin/themes/default/index.php
+%%WWWDIR%%/admin/themes/default/js/menu_icons.js
 %%WWWDIR%%/admin/themes/default/local_head.tpl
 %%WWWDIR%%/admin/themes/default/print.css
 %%WWWDIR%%/admin/themes/default/template/admin.tpl
+%%WWWDIR%%/admin/themes/default/template/album_notification.tpl
 %%WWWDIR%%/admin/themes/default/template/batch_manager_global.tpl
 %%WWWDIR%%/admin/themes/default/template/batch_manager_unit.tpl
 %%WWWDIR%%/admin/themes/default/template/cat_list.tpl
@@ -251,6 +254,7 @@
 %%WWWDIR%%/admin/themes/default/template/header.tpl
 %%WWWDIR%%/admin/themes/default/template/help.tpl
 %%WWWDIR%%/admin/themes/default/template/history.tpl
+%%WWWDIR%%/admin/themes/default/template/include/add_album.inc.tpl
 %%WWWDIR%%/admin/themes/default/template/include/autosize.inc.tpl
 %%WWWDIR%%/admin/themes/default/template/include/colorbox.inc.tpl
 %%WWWDIR%%/admin/themes/default/template/include/datepicker.inc.tpl
@@ -267,10 +271,10 @@
 %%WWWDIR%%/admin/themes/default/template/navigation_bar.tpl
 %%WWWDIR%%/admin/themes/default/template/notification_by_mail.tpl
 %%WWWDIR%%/admin/themes/default/template/permalinks.tpl
+%%WWWDIR%%/admin/themes/default/template/photos_add_applications.tpl
 %%WWWDIR%%/admin/themes/default/template/photos_add_direct.tpl
 %%WWWDIR%%/admin/themes/default/template/photos_add_ftp.tpl
-%%WWWDIR%%/admin/themes/default/template/photos_add_ploader.tpl
-%%WWWDIR%%/admin/themes/default/template/photos_add_settings.tpl
+%%WWWDIR%%/admin/themes/default/template/picture_coi.tpl
 %%WWWDIR%%/admin/themes/default/template/picture_modify.tpl
 %%WWWDIR%%/admin/themes/default/template/plugins_installed.tpl
 %%WWWDIR%%/admin/themes/default/template/plugins_new.tpl
@@ -286,7 +290,6 @@
 %%WWWDIR%%/admin/themes/default/template/tags.tpl
 %%WWWDIR%%/admin/themes/default/template/themes_installed.tpl
 %%WWWDIR%%/admin/themes/default/template/themes_new.tpl
-%%WWWDIR%%/admin/themes/default/template/thumbnail.tpl
 %%WWWDIR%%/admin/themes/default/template/updates_ext.tpl
 %%WWWDIR%%/admin/themes/default/template/updates_pwg.tpl
 %%WWWDIR%%/admin/themes/default/template/upgrade.tpl
@@ -324,6 +327,7 @@
 %%WWWDIR%%/admin/themes/roma/images/resizable-se.gif
 %%WWWDIR%%/admin/themes/roma/images/resizable-sw.gif
 %%WWWDIR%%/admin/themes/roma/images/resizable-w.gif
+%%WWWDIR%%/admin/themes/roma/images/stripe-cat.png
 %%WWWDIR%%/admin/themes/roma/images/transparent.gif
 %%WWWDIR%%/admin/themes/roma/index.php
 %%WWWDIR%%/admin/themes/roma/mail-css.tpl
@@ -331,7 +335,6 @@
 %%WWWDIR%%/admin/themes/roma/themeconf.inc.php
 %%WWWDIR%%/admin/themes_installed.php
 %%WWWDIR%%/admin/themes_new.php
-%%WWWDIR%%/admin/thumbnail.php
 %%WWWDIR%%/admin/updates.php
 %%WWWDIR%%/admin/updates_ext.php
 %%WWWDIR%%/admin/updates_pwg.php
@@ -340,7 +343,10 @@
 %%WWWDIR%%/category.php
 %%WWWDIR%%/comments.php
 %%WWWDIR%%/feed.php
+@exec mkdir -m 0750 -p %D/galleries
+@exec %%CHOWN%% -f %%WWWOWN%%:%%WWWGRP%% %D/galleries
 %%WWWDIR%%/galleries/index.php
+%%WWWDIR%%/i.php
 %%WWWDIR%%/identification.php
 %%WWWDIR%%/include/block.class.php
 %%WWWDIR%%/include/calendar_base.class.php
@@ -353,11 +359,11 @@
 %%WWWDIR%%/include/config_default.inc.php
 %%WWWDIR%%/include/constants.php
 %%WWWDIR%%/include/cssmin.class.php
-%%WWWDIR%%/include/dblayer/dblayers.inc.php
 %%WWWDIR%%/include/dblayer/functions_mysql.inc.php
-%%WWWDIR%%/include/dblayer/functions_pdo-sqlite.inc.php
-%%WWWDIR%%/include/dblayer/functions_pgsql.inc.php
-%%WWWDIR%%/include/dblayer/functions_sqlite.inc.php
+%%WWWDIR%%/include/dblayer/functions_mysqli.inc.php
+%%WWWDIR%%/include/derivative.inc.php
+%%WWWDIR%%/include/derivative_params.inc.php
+%%WWWDIR%%/include/derivative_std_params.inc.php
 %%WWWDIR%%/include/feedcreator.class.php
 %%WWWDIR%%/include/filter.inc.php
 %%WWWDIR%%/include/functions.inc.php
@@ -378,13 +384,14 @@
 %%WWWDIR%%/include/functions_tag.inc.php
 %%WWWDIR%%/include/functions_url.inc.php
 %%WWWDIR%%/include/functions_user.inc.php
-%%WWWDIR%%/include/functions_xml.inc.php
 %%WWWDIR%%/include/index.php
-%%WWWDIR%%/include/jsmin.class.php
+%%WWWDIR%%/include/jshrink.class.php
+%%WWWDIR%%/include/mdetect.php
 %%WWWDIR%%/include/menubar.inc.php
 %%WWWDIR%%/include/no_photo_yet.inc.php
 %%WWWDIR%%/include/page_header.php
 %%WWWDIR%%/include/page_tail.php
+%%WWWDIR%%/include/passwordhash.class.php
 %%WWWDIR%%/include/php_compat/array_intersect_key.php
 %%WWWDIR%%/include/php_compat/hash_hmac.php
 %%WWWDIR%%/include/php_compat/index.php
@@ -493,6 +500,29 @@
 %%WWWDIR%%/install/db/109-database.php
 %%WWWDIR%%/install/db/110-database.php
 %%WWWDIR%%/install/db/111-database.php
+%%WWWDIR%%/install/db/112-database.php
+%%WWWDIR%%/install/db/113-database.php
+%%WWWDIR%%/install/db/114-database.php
+%%WWWDIR%%/install/db/115-database.php
+%%WWWDIR%%/install/db/116-database.php
+%%WWWDIR%%/install/db/117-database.php
+%%WWWDIR%%/install/db/118-database.php
+%%WWWDIR%%/install/db/119-database.php
+%%WWWDIR%%/install/db/120-database.php
+%%WWWDIR%%/install/db/121-database.php
+%%WWWDIR%%/install/db/122-database.php
+%%WWWDIR%%/install/db/123-database.php
+%%WWWDIR%%/install/db/124-database.php
+%%WWWDIR%%/install/db/125-database.php
+%%WWWDIR%%/install/db/126-database.php
+%%WWWDIR%%/install/db/127-database.php
+%%WWWDIR%%/install/db/128-database.php
+%%WWWDIR%%/install/db/129-database.php
+%%WWWDIR%%/install/db/130-database.php
+%%WWWDIR%%/install/db/131-database.php
+%%WWWDIR%%/install/db/132-database.php
+%%WWWDIR%%/install/db/133-database.php
+%%WWWDIR%%/install/db/134-database.php
 %%WWWDIR%%/install/db/61-database.php
 %%WWWDIR%%/install/db/62-database.php
 %%WWWDIR%%/install/db/63-database.php
@@ -539,9 +569,6 @@
 %%WWWDIR%%/install/obsolete_extensions.list
 %%WWWDIR%%/install/php5_apache_configuration.php
 %%WWWDIR%%/install/piwigo_structure-mysql.sql
-%%WWWDIR%%/install/piwigo_structure-pdo-sqlite.sql
-%%WWWDIR%%/install/piwigo_structure-pgsql.sql
-%%WWWDIR%%/install/piwigo_structure-sqlite.sql
 %%WWWDIR%%/install/upgrade_1.3.0.php
 %%WWWDIR%%/install/upgrade_1.3.1.php
 %%WWWDIR%%/install/upgrade_1.4.0.php
@@ -552,11 +579,19 @@
 %%WWWDIR%%/install/upgrade_2.0.0.php
 %%WWWDIR%%/install/upgrade_2.1.0.php
 %%WWWDIR%%/install/upgrade_2.2.0.php
+%%WWWDIR%%/install/upgrade_2.3.0.php
+%%WWWDIR%%/install/upgrade_2.4.0.php
 %%WWWDIR%%/language/af_ZA/about.html
 %%WWWDIR%%/language/af_ZA/admin.lang.php
 %%WWWDIR%%/language/af_ZA/af_ZA.jpg
 %%WWWDIR%%/language/af_ZA/common.lang.php
+%%WWWDIR%%/language/af_ZA/help/cat_modify.html
+%%WWWDIR%%/language/af_ZA/help/cat_move.html
+%%WWWDIR%%/language/af_ZA/help/permalinks.html
+%%WWWDIR%%/language/af_ZA/help/synchronize.html
+%%WWWDIR%%/language/af_ZA/help/user_list.html
 %%WWWDIR%%/language/af_ZA/index.php
+%%WWWDIR%%/language/af_ZA/install.lang.php
 %%WWWDIR%%/language/af_ZA/iso.txt
 %%WWWDIR%%/language/af_ZA/upgrade.lang.php
 %%WWWDIR%%/language/ar_SA/Translator.txt
@@ -582,24 +617,51 @@
 %%WWWDIR%%/language/ar_SA/help/permalinks.html
 %%WWWDIR%%/language/ar_SA/help/photos_add_ftp.html
 %%WWWDIR%%/language/ar_SA/help/search.html
-%%WWWDIR%%/language/ar_SA/help/site_manager.html
 %%WWWDIR%%/language/ar_SA/help/synchronize.html
-%%WWWDIR%%/language/ar_SA/help/thumbnail.html
 %%WWWDIR%%/language/ar_SA/help/user_list.html
 %%WWWDIR%%/language/ar_SA/index.php
 %%WWWDIR%%/language/ar_SA/install.lang.php
 %%WWWDIR%%/language/ar_SA/iso.txt
 %%WWWDIR%%/language/ar_SA/upgrade.lang.php
+%%WWWDIR%%/language/az_AZ/az_AZ.jpg
+%%WWWDIR%%/language/az_AZ/common.lang.php
+%%WWWDIR%%/language/az_AZ/iso.txt
 %%WWWDIR%%/language/bg_BG/about.html
 %%WWWDIR%%/language/bg_BG/admin.lang.php
 %%WWWDIR%%/language/bg_BG/bg_BG.jpg
 %%WWWDIR%%/language/bg_BG/common.lang.php
+%%WWWDIR%%/language/bg_BG/help/cat_modify.html
 %%WWWDIR%%/language/bg_BG/index.php
+%%WWWDIR%%/language/bg_BG/install.lang.php
 %%WWWDIR%%/language/bg_BG/iso.txt
+%%WWWDIR%%/language/bg_BG/upgrade.lang.php
+%%WWWDIR%%/language/bn_IN/bn_IN.jpg
+%%WWWDIR%%/language/bn_IN/common.lang.php
+%%WWWDIR%%/language/bn_IN/iso.txt
 %%WWWDIR%%/language/ca_ES/about.html
 %%WWWDIR%%/language/ca_ES/admin.lang.php
 %%WWWDIR%%/language/ca_ES/ca_ES.jpg
 %%WWWDIR%%/language/ca_ES/common.lang.php
+%%WWWDIR%%/language/ca_ES/help/cat_modify.html
+%%WWWDIR%%/language/ca_ES/help/cat_move.html
+%%WWWDIR%%/language/ca_ES/help/cat_options.html
+%%WWWDIR%%/language/ca_ES/help/cat_perm.html
+%%WWWDIR%%/language/ca_ES/help/configuration.html
+%%WWWDIR%%/language/ca_ES/help/extend_for_templates.html
+%%WWWDIR%%/language/ca_ES/help/group_list.html
+%%WWWDIR%%/language/ca_ES/help/help_add_photos.html
+%%WWWDIR%%/language/ca_ES/help/help_groups.html
+%%WWWDIR%%/language/ca_ES/help/help_misc.html
+%%WWWDIR%%/language/ca_ES/help/help_permissions.html
+%%WWWDIR%%/language/ca_ES/help/help_virtual_links.html
+%%WWWDIR%%/language/ca_ES/help/history.html
+%%WWWDIR%%/language/ca_ES/help/maintenance.html
+%%WWWDIR%%/language/ca_ES/help/notification_by_mail.html
+%%WWWDIR%%/language/ca_ES/help/permalinks.html
+%%WWWDIR%%/language/ca_ES/help/photos_add_ftp.html
+%%WWWDIR%%/language/ca_ES/help/search.html
+%%WWWDIR%%/language/ca_ES/help/synchronize.html
+%%WWWDIR%%/language/ca_ES/help/user_list.html
 %%WWWDIR%%/language/ca_ES/install.lang.php
 %%WWWDIR%%/language/ca_ES/iso.txt
 %%WWWDIR%%/language/ca_ES/upgrade.lang.php
@@ -621,13 +683,12 @@
 %%WWWDIR%%/language/cs_CZ/help/help_virtual_links.html
 %%WWWDIR%%/language/cs_CZ/help/history.html
 %%WWWDIR%%/language/cs_CZ/help/index.php
+%%WWWDIR%%/language/cs_CZ/help/maintenance.html
 %%WWWDIR%%/language/cs_CZ/help/notification_by_mail.html
 %%WWWDIR%%/language/cs_CZ/help/permalinks.html
 %%WWWDIR%%/language/cs_CZ/help/photos_add_ftp.html
 %%WWWDIR%%/language/cs_CZ/help/search.html
-%%WWWDIR%%/language/cs_CZ/help/site_manager.html
 %%WWWDIR%%/language/cs_CZ/help/synchronize.html
-%%WWWDIR%%/language/cs_CZ/help/thumbnail.html
 %%WWWDIR%%/language/cs_CZ/help/user_list.html
 %%WWWDIR%%/language/cs_CZ/index.php
 %%WWWDIR%%/language/cs_CZ/install.lang.php
@@ -637,6 +698,26 @@
 %%WWWDIR%%/language/da_DK/admin.lang.php
 %%WWWDIR%%/language/da_DK/common.lang.php
 %%WWWDIR%%/language/da_DK/da_DK.jpg
+%%WWWDIR%%/language/da_DK/help/cat_modify.html
+%%WWWDIR%%/language/da_DK/help/cat_move.html
+%%WWWDIR%%/language/da_DK/help/cat_options.html
+%%WWWDIR%%/language/da_DK/help/cat_perm.html
+%%WWWDIR%%/language/da_DK/help/configuration.html
+%%WWWDIR%%/language/da_DK/help/extend_for_templates.html
+%%WWWDIR%%/language/da_DK/help/group_list.html
+%%WWWDIR%%/language/da_DK/help/help_add_photos.html
+%%WWWDIR%%/language/da_DK/help/help_groups.html
+%%WWWDIR%%/language/da_DK/help/help_misc.html
+%%WWWDIR%%/language/da_DK/help/help_permissions.html
+%%WWWDIR%%/language/da_DK/help/help_virtual_links.html
+%%WWWDIR%%/language/da_DK/help/history.html
+%%WWWDIR%%/language/da_DK/help/maintenance.html
+%%WWWDIR%%/language/da_DK/help/notification_by_mail.html
+%%WWWDIR%%/language/da_DK/help/permalinks.html
+%%WWWDIR%%/language/da_DK/help/photos_add_ftp.html
+%%WWWDIR%%/language/da_DK/help/search.html
+%%WWWDIR%%/language/da_DK/help/synchronize.html
+%%WWWDIR%%/language/da_DK/help/user_list.html
 %%WWWDIR%%/language/da_DK/index.php
 %%WWWDIR%%/language/da_DK/install.lang.php
 %%WWWDIR%%/language/da_DK/iso.txt
@@ -664,9 +745,7 @@
 %%WWWDIR%%/language/de_DE/help/permalinks.html
 %%WWWDIR%%/language/de_DE/help/photos_add_ftp.html
 %%WWWDIR%%/language/de_DE/help/search.html
-%%WWWDIR%%/language/de_DE/help/site_manager.html
 %%WWWDIR%%/language/de_DE/help/synchronize.html
-%%WWWDIR%%/language/de_DE/help/thumbnail.html
 %%WWWDIR%%/language/de_DE/help/user_list.html
 %%WWWDIR%%/language/de_DE/index.php
 %%WWWDIR%%/language/de_DE/install.lang.php
@@ -680,9 +759,30 @@
 %%WWWDIR%%/language/el_GR/admin.lang.php
 %%WWWDIR%%/language/el_GR/common.lang.php
 %%WWWDIR%%/language/el_GR/el_GR.jpg
+%%WWWDIR%%/language/el_GR/help/cat_modify.html
+%%WWWDIR%%/language/el_GR/help/cat_move.html
+%%WWWDIR%%/language/el_GR/help/cat_options.html
+%%WWWDIR%%/language/el_GR/help/cat_perm.html
+%%WWWDIR%%/language/el_GR/help/configuration.html
+%%WWWDIR%%/language/el_GR/help/extend_for_templates.html
+%%WWWDIR%%/language/el_GR/help/group_list.html
+%%WWWDIR%%/language/el_GR/help/help_add_photos.html
+%%WWWDIR%%/language/el_GR/help/help_groups.html
+%%WWWDIR%%/language/el_GR/help/help_misc.html
+%%WWWDIR%%/language/el_GR/help/help_permissions.html
+%%WWWDIR%%/language/el_GR/help/help_virtual_links.html
+%%WWWDIR%%/language/el_GR/help/history.html
+%%WWWDIR%%/language/el_GR/help/maintenance.html
+%%WWWDIR%%/language/el_GR/help/notification_by_mail.html
+%%WWWDIR%%/language/el_GR/help/permalinks.html
+%%WWWDIR%%/language/el_GR/help/photos_add_ftp.html
+%%WWWDIR%%/language/el_GR/help/search.html
+%%WWWDIR%%/language/el_GR/help/synchronize.html
+%%WWWDIR%%/language/el_GR/help/user_list.html
 %%WWWDIR%%/language/el_GR/index.php
 %%WWWDIR%%/language/el_GR/install.lang.php
 %%WWWDIR%%/language/el_GR/iso.txt
+%%WWWDIR%%/language/el_GR/upgrade.lang.php
 %%WWWDIR%%/language/en_UK/about.html
 %%WWWDIR%%/language/en_UK/admin.lang.php
 %%WWWDIR%%/language/en_UK/common.lang.php
@@ -706,9 +806,7 @@
 %%WWWDIR%%/language/en_UK/help/permalinks.html
 %%WWWDIR%%/language/en_UK/help/photos_add_ftp.html
 %%WWWDIR%%/language/en_UK/help/search.html
-%%WWWDIR%%/language/en_UK/help/site_manager.html
 %%WWWDIR%%/language/en_UK/help/synchronize.html
-%%WWWDIR%%/language/en_UK/help/thumbnail.html
 %%WWWDIR%%/language/en_UK/help/user_list.html
 %%WWWDIR%%/language/en_UK/index.php
 %%WWWDIR%%/language/en_UK/install.lang.php
@@ -747,29 +845,44 @@
 %%WWWDIR%%/language/es_ES/help/permalinks.html
 %%WWWDIR%%/language/es_ES/help/photos_add_ftp.html
 %%WWWDIR%%/language/es_ES/help/search.html
-%%WWWDIR%%/language/es_ES/help/site_manager.html
 %%WWWDIR%%/language/es_ES/help/synchronize.html
-%%WWWDIR%%/language/es_ES/help/thumbnail.html
 %%WWWDIR%%/language/es_ES/help/user_list.html
 %%WWWDIR%%/language/es_ES/index.php
 %%WWWDIR%%/language/es_ES/install.lang.php
 %%WWWDIR%%/language/es_ES/iso.txt
 %%WWWDIR%%/language/es_ES/upgrade.lang.php
+%%WWWDIR%%/language/et_EE/about.html
+%%WWWDIR%%/language/et_EE/admin.lang.php
 %%WWWDIR%%/language/et_EE/common.lang.php
 %%WWWDIR%%/language/et_EE/et_EE.jpg
+%%WWWDIR%%/language/et_EE/help/cat_modify.html
+%%WWWDIR%%/language/et_EE/help/cat_move.html
+%%WWWDIR%%/language/et_EE/help/cat_options.html
+%%WWWDIR%%/language/et_EE/help/cat_perm.html
+%%WWWDIR%%/language/et_EE/help/configuration.html
+%%WWWDIR%%/language/et_EE/install.lang.php
 %%WWWDIR%%/language/et_EE/iso.txt
+%%WWWDIR%%/language/et_EE/upgrade.lang.php
 %%WWWDIR%%/language/fa_IR/about.html
 %%WWWDIR%%/language/fa_IR/admin.lang.php
 %%WWWDIR%%/language/fa_IR/common.lang.php
 %%WWWDIR%%/language/fa_IR/fa_IR.jpg
+%%WWWDIR%%/language/fa_IR/help/help_add_photos.html
+%%WWWDIR%%/language/fa_IR/help/help_groups.html
+%%WWWDIR%%/language/fa_IR/help/help_misc.html
+%%WWWDIR%%/language/fa_IR/help/index.php
+%%WWWDIR%%/language/fa_IR/help/user_list.html
 %%WWWDIR%%/language/fa_IR/index.php
 %%WWWDIR%%/language/fa_IR/install.lang.php
 %%WWWDIR%%/language/fa_IR/iso.txt
 %%WWWDIR%%/language/fa_IR/upgrade.lang.php
 %%WWWDIR%%/language/fi_FI/about.html
+%%WWWDIR%%/language/fi_FI/admin.lang.php
 %%WWWDIR%%/language/fi_FI/common.lang.php
 %%WWWDIR%%/language/fi_FI/fi_FI.jpg
+%%WWWDIR%%/language/fi_FI/install.lang.php
 %%WWWDIR%%/language/fi_FI/iso.txt
+%%WWWDIR%%/language/fi_FI/upgrade.lang.php
 %%WWWDIR%%/language/fr_CA/about.html
 %%WWWDIR%%/language/fr_CA/admin.lang.php
 %%WWWDIR%%/language/fr_CA/common.lang.php
@@ -793,9 +906,7 @@
 %%WWWDIR%%/language/fr_CA/help/permalinks.html
 %%WWWDIR%%/language/fr_CA/help/photos_add_ftp.html
 %%WWWDIR%%/language/fr_CA/help/search.html
-%%WWWDIR%%/language/fr_CA/help/site_manager.html
 %%WWWDIR%%/language/fr_CA/help/synchronize.html
-%%WWWDIR%%/language/fr_CA/help/thumbnail.html
 %%WWWDIR%%/language/fr_CA/help/user_list.html
 %%WWWDIR%%/language/fr_CA/index.php
 %%WWWDIR%%/language/fr_CA/install.lang.php
@@ -824,18 +935,28 @@
 %%WWWDIR%%/language/fr_FR/help/permalinks.html
 %%WWWDIR%%/language/fr_FR/help/photos_add_ftp.html
 %%WWWDIR%%/language/fr_FR/help/search.html
-%%WWWDIR%%/language/fr_FR/help/site_manager.html
 %%WWWDIR%%/language/fr_FR/help/synchronize.html
-%%WWWDIR%%/language/fr_FR/help/thumbnail.html
 %%WWWDIR%%/language/fr_FR/help/user_list.html
 %%WWWDIR%%/language/fr_FR/index.php
 %%WWWDIR%%/language/fr_FR/install.lang.php
 %%WWWDIR%%/language/fr_FR/iso.txt
 %%WWWDIR%%/language/fr_FR/upgrade.lang.php
+%%WWWDIR%%/language/gl_ES/about.html
+%%WWWDIR%%/language/gl_ES/admin.lang.php
+%%WWWDIR%%/language/gl_ES/common.lang.php
+%%WWWDIR%%/language/gl_ES/gl_ES.jpg
+%%WWWDIR%%/language/gl_ES/help/cat_modify.html
+%%WWWDIR%%/language/gl_ES/help/cat_move.html
+%%WWWDIR%%/language/gl_ES/help/cat_options.html
+%%WWWDIR%%/language/gl_ES/help/cat_perm.html
+%%WWWDIR%%/language/gl_ES/install.lang.php
+%%WWWDIR%%/language/gl_ES/iso.txt
+%%WWWDIR%%/language/gl_ES/upgrade.lang.php
 %%WWWDIR%%/language/he_IL/about.html
 %%WWWDIR%%/language/he_IL/admin.lang.php
 %%WWWDIR%%/language/he_IL/common.lang.php
 %%WWWDIR%%/language/he_IL/he_IL.jpg
+%%WWWDIR%%/language/he_IL/help/cat_move.html
 %%WWWDIR%%/language/he_IL/help/help_add_photos.html
 %%WWWDIR%%/language/he_IL/install.lang.php
 %%WWWDIR%%/language/he_IL/iso.txt
@@ -857,9 +978,7 @@
 %%WWWDIR%%/language/hr_HR/help/notification_by_mail.html
 %%WWWDIR%%/language/hr_HR/help/permalinks.html
 %%WWWDIR%%/language/hr_HR/help/search.html
-%%WWWDIR%%/language/hr_HR/help/site_manager.html
 %%WWWDIR%%/language/hr_HR/help/synchronize.html
-%%WWWDIR%%/language/hr_HR/help/thumbnail.html
 %%WWWDIR%%/language/hr_HR/help/user_list.html
 %%WWWDIR%%/language/hr_HR/hr_HR.jpg
 %%WWWDIR%%/language/hr_HR/index.php
@@ -887,7 +1006,6 @@
 %%WWWDIR%%/language/hu_HU/help/photos_add_ftp.html
 %%WWWDIR%%/language/hu_HU/help/search.html
 %%WWWDIR%%/language/hu_HU/help/synchronize.html
-%%WWWDIR%%/language/hu_HU/help/thumbnail.html
 %%WWWDIR%%/language/hu_HU/help/user_list.html
 %%WWWDIR%%/language/hu_HU/hu_HU.jpg
 %%WWWDIR%%/language/hu_HU/index.php
@@ -922,9 +1040,7 @@
 %%WWWDIR%%/language/it_IT/help/permalinks.html
 %%WWWDIR%%/language/it_IT/help/photos_add_ftp.html
 %%WWWDIR%%/language/it_IT/help/search.html
-%%WWWDIR%%/language/it_IT/help/site_manager.html
 %%WWWDIR%%/language/it_IT/help/synchronize.html
-%%WWWDIR%%/language/it_IT/help/thumbnail.html
 %%WWWDIR%%/language/it_IT/help/user_list.html
 %%WWWDIR%%/language/it_IT/index.php
 %%WWWDIR%%/language/it_IT/install.lang.php
@@ -954,9 +1070,7 @@
 %%WWWDIR%%/language/ja_JP/help/permalinks.html
 %%WWWDIR%%/language/ja_JP/help/photos_add_ftp.html
 %%WWWDIR%%/language/ja_JP/help/search.html
-%%WWWDIR%%/language/ja_JP/help/site_manager.html
 %%WWWDIR%%/language/ja_JP/help/synchronize.html
-%%WWWDIR%%/language/ja_JP/help/thumbnail.html
 %%WWWDIR%%/language/ja_JP/help/user_list.html
 %%WWWDIR%%/language/ja_JP/index.php
 %%WWWDIR%%/language/ja_JP/install.lang.php
@@ -985,9 +1099,7 @@
 %%WWWDIR%%/language/ka_GE/help/permalinks.html
 %%WWWDIR%%/language/ka_GE/help/photos_add_ftp.html
 %%WWWDIR%%/language/ka_GE/help/search.html
-%%WWWDIR%%/language/ka_GE/help/site_manager.html
 %%WWWDIR%%/language/ka_GE/help/synchronize.html
-%%WWWDIR%%/language/ka_GE/help/thumbnail.html
 %%WWWDIR%%/language/ka_GE/help/user_list.html
 %%WWWDIR%%/language/ka_GE/index.php
 %%WWWDIR%%/language/ka_GE/install.lang.php
@@ -1004,6 +1116,13 @@
 %%WWWDIR%%/language/ko_KR/index.php
 %%WWWDIR%%/language/ko_KR/iso.txt
 %%WWWDIR%%/language/ko_KR/ko_KR.jpg
+%%WWWDIR%%/language/kok_IN/common.lang.php
+%%WWWDIR%%/language/kok_IN/iso.txt
+%%WWWDIR%%/language/kok_IN/kok_IN.jpg
+%%WWWDIR%%/language/lt_LT/about.html
+%%WWWDIR%%/language/lt_LT/common.lang.php
+%%WWWDIR%%/language/lt_LT/iso.txt
+%%WWWDIR%%/language/lt_LT/lt_LT.jpg
 %%WWWDIR%%/language/lv_LV/about.html
 %%WWWDIR%%/language/lv_LV/admin.lang.php
 %%WWWDIR%%/language/lv_LV/common.lang.php
@@ -1025,19 +1144,50 @@
 %%WWWDIR%%/language/lv_LV/help/permalinks.html
 %%WWWDIR%%/language/lv_LV/help/photos_add_ftp.html
 %%WWWDIR%%/language/lv_LV/help/search.html
-%%WWWDIR%%/language/lv_LV/help/site_manager.html
 %%WWWDIR%%/language/lv_LV/help/synchronize.html
-%%WWWDIR%%/language/lv_LV/help/thumbnail.html
 %%WWWDIR%%/language/lv_LV/help/user_list.html
 %%WWWDIR%%/language/lv_LV/index.php
 %%WWWDIR%%/language/lv_LV/install.lang.php
 %%WWWDIR%%/language/lv_LV/iso.txt
 %%WWWDIR%%/language/lv_LV/lv_LV.jpg
 %%WWWDIR%%/language/lv_LV/upgrade.lang.php
+%%WWWDIR%%/language/mk_MK/admin.lang.php
 %%WWWDIR%%/language/mk_MK/common.lang.php
 %%WWWDIR%%/language/mk_MK/index.php
+%%WWWDIR%%/language/mk_MK/install.lang.php
 %%WWWDIR%%/language/mk_MK/iso.txt
 %%WWWDIR%%/language/mk_MK/mk_MK.jpg
+%%WWWDIR%%/language/ms_MY/common.lang.php
+%%WWWDIR%%/language/ms_MY/iso.txt
+%%WWWDIR%%/language/ms_MY/ms_MY.jpg
+%%WWWDIR%%/language/nb_NO/about.html
+%%WWWDIR%%/language/nb_NO/admin.lang.php
+%%WWWDIR%%/language/nb_NO/common.lang.php
+%%WWWDIR%%/language/nb_NO/help/cat_modify.html
+%%WWWDIR%%/language/nb_NO/help/cat_move.html
+%%WWWDIR%%/language/nb_NO/help/cat_options.html
+%%WWWDIR%%/language/nb_NO/help/cat_perm.html
+%%WWWDIR%%/language/nb_NO/help/configuration.html
+%%WWWDIR%%/language/nb_NO/help/extend_for_templates.html
+%%WWWDIR%%/language/nb_NO/help/group_list.html
+%%WWWDIR%%/language/nb_NO/help/help_add_photos.html
+%%WWWDIR%%/language/nb_NO/help/help_groups.html
+%%WWWDIR%%/language/nb_NO/help/help_misc.html
+%%WWWDIR%%/language/nb_NO/help/help_permissions.html
+%%WWWDIR%%/language/nb_NO/help/help_virtual_links.html
+%%WWWDIR%%/language/nb_NO/help/history.html
+%%WWWDIR%%/language/nb_NO/help/maintenance.html
+%%WWWDIR%%/language/nb_NO/help/notification_by_mail.html
+%%WWWDIR%%/language/nb_NO/help/permalinks.html
+%%WWWDIR%%/language/nb_NO/help/photos_add_ftp.html
+%%WWWDIR%%/language/nb_NO/help/search.html
+%%WWWDIR%%/language/nb_NO/help/synchronize.html
+%%WWWDIR%%/language/nb_NO/help/user_list.html
+%%WWWDIR%%/language/nb_NO/index.php
+%%WWWDIR%%/language/nb_NO/install.lang.php
+%%WWWDIR%%/language/nb_NO/iso.txt
+%%WWWDIR%%/language/nb_NO/nb_NO.jpg
+%%WWWDIR%%/language/nb_NO/upgrade.lang.php
 %%WWWDIR%%/language/nl_NL/about.html
 %%WWWDIR%%/language/nl_NL/admin.lang.php
 %%WWWDIR%%/language/nl_NL/common.lang.php
@@ -1060,45 +1210,13 @@
 %%WWWDIR%%/language/nl_NL/help/permalinks.html
 %%WWWDIR%%/language/nl_NL/help/photos_add_ftp.html
 %%WWWDIR%%/language/nl_NL/help/search.html
-%%WWWDIR%%/language/nl_NL/help/site_manager.html
 %%WWWDIR%%/language/nl_NL/help/synchronize.html
-%%WWWDIR%%/language/nl_NL/help/thumbnail.html
 %%WWWDIR%%/language/nl_NL/help/user_list.html
 %%WWWDIR%%/language/nl_NL/index.php
 %%WWWDIR%%/language/nl_NL/install.lang.php
 %%WWWDIR%%/language/nl_NL/iso.txt
 %%WWWDIR%%/language/nl_NL/nl_NL.jpg
 %%WWWDIR%%/language/nl_NL/upgrade.lang.php
-%%WWWDIR%%/language/no_NO/about.html
-%%WWWDIR%%/language/no_NO/admin.lang.php
-%%WWWDIR%%/language/no_NO/common.lang.php
-%%WWWDIR%%/language/no_NO/help/cat_modify.html
-%%WWWDIR%%/language/no_NO/help/cat_move.html
-%%WWWDIR%%/language/no_NO/help/cat_options.html
-%%WWWDIR%%/language/no_NO/help/cat_perm.html
-%%WWWDIR%%/language/no_NO/help/configuration.html
-%%WWWDIR%%/language/no_NO/help/extend_for_templates.html
-%%WWWDIR%%/language/no_NO/help/group_list.html
-%%WWWDIR%%/language/no_NO/help/help_add_photos.html
-%%WWWDIR%%/language/no_NO/help/help_groups.html
-%%WWWDIR%%/language/no_NO/help/help_misc.html
-%%WWWDIR%%/language/no_NO/help/help_permissions.html
-%%WWWDIR%%/language/no_NO/help/help_virtual_links.html
-%%WWWDIR%%/language/no_NO/help/history.html
-%%WWWDIR%%/language/no_NO/help/maintenance.html
-%%WWWDIR%%/language/no_NO/help/notification_by_mail.html
-%%WWWDIR%%/language/no_NO/help/permalinks.html
-%%WWWDIR%%/language/no_NO/help/photos_add_ftp.html
-%%WWWDIR%%/language/no_NO/help/search.html
-%%WWWDIR%%/language/no_NO/help/site_manager.html
-%%WWWDIR%%/language/no_NO/help/synchronize.html
-%%WWWDIR%%/language/no_NO/help/thumbnail.html
-%%WWWDIR%%/language/no_NO/help/user_list.html
-%%WWWDIR%%/language/no_NO/index.php
-%%WWWDIR%%/language/no_NO/install.lang.php
-%%WWWDIR%%/language/no_NO/iso.txt
-%%WWWDIR%%/language/no_NO/no_NO.jpg
-%%WWWDIR%%/language/no_NO/upgrade.lang.php
 %%WWWDIR%%/language/pl_PL/about.html
 %%WWWDIR%%/language/pl_PL/admin.lang.php
 %%WWWDIR%%/language/pl_PL/common.lang.php
@@ -1121,9 +1239,7 @@
 %%WWWDIR%%/language/pl_PL/help/permalinks.html
 %%WWWDIR%%/language/pl_PL/help/photos_add_ftp.html
 %%WWWDIR%%/language/pl_PL/help/search.html
-%%WWWDIR%%/language/pl_PL/help/site_manager.html
 %%WWWDIR%%/language/pl_PL/help/synchronize.html
-%%WWWDIR%%/language/pl_PL/help/thumbnail.html
 %%WWWDIR%%/language/pl_PL/help/user_list.html
 %%WWWDIR%%/language/pl_PL/index.php
 %%WWWDIR%%/language/pl_PL/install.lang.php
@@ -1133,11 +1249,26 @@
 %%WWWDIR%%/language/pt_BR/about.html
 %%WWWDIR%%/language/pt_BR/admin.lang.php
 %%WWWDIR%%/language/pt_BR/common.lang.php
+%%WWWDIR%%/language/pt_BR/help/cat_modify.html
+%%WWWDIR%%/language/pt_BR/help/cat_move.html
+%%WWWDIR%%/language/pt_BR/help/cat_options.html
+%%WWWDIR%%/language/pt_BR/help/cat_perm.html
+%%WWWDIR%%/language/pt_BR/help/configuration.html
+%%WWWDIR%%/language/pt_BR/help/extend_for_templates.html
+%%WWWDIR%%/language/pt_BR/help/group_list.html
+%%WWWDIR%%/language/pt_BR/help/help_add_photos.html
 %%WWWDIR%%/language/pt_BR/help/help_groups.html
 %%WWWDIR%%/language/pt_BR/help/help_misc.html
 %%WWWDIR%%/language/pt_BR/help/help_permissions.html
 %%WWWDIR%%/language/pt_BR/help/help_virtual_links.html
+%%WWWDIR%%/language/pt_BR/help/history.html
+%%WWWDIR%%/language/pt_BR/help/maintenance.html
+%%WWWDIR%%/language/pt_BR/help/notification_by_mail.html
+%%WWWDIR%%/language/pt_BR/help/permalinks.html
 %%WWWDIR%%/language/pt_BR/help/photos_add_ftp.html
+%%WWWDIR%%/language/pt_BR/help/search.html
+%%WWWDIR%%/language/pt_BR/help/synchronize.html
+%%WWWDIR%%/language/pt_BR/help/user_list.html
 %%WWWDIR%%/language/pt_BR/index.php
 %%WWWDIR%%/language/pt_BR/install.lang.php
 %%WWWDIR%%/language/pt_BR/iso.txt
@@ -1146,12 +1277,23 @@
 %%WWWDIR%%/language/pt_PT/about.html
 %%WWWDIR%%/language/pt_PT/admin.lang.php
 %%WWWDIR%%/language/pt_PT/common.lang.php
+%%WWWDIR%%/language/pt_PT/help/cat_modify.html
+%%WWWDIR%%/language/pt_PT/help/cat_move.html
+%%WWWDIR%%/language/pt_PT/help/configuration.html
+%%WWWDIR%%/language/pt_PT/help/extend_for_templates.html
+%%WWWDIR%%/language/pt_PT/help/group_list.html
 %%WWWDIR%%/language/pt_PT/help/help_add_photos.html
 %%WWWDIR%%/language/pt_PT/help/help_groups.html
 %%WWWDIR%%/language/pt_PT/help/help_misc.html
 %%WWWDIR%%/language/pt_PT/help/help_permissions.html
 %%WWWDIR%%/language/pt_PT/help/help_virtual_links.html
+%%WWWDIR%%/language/pt_PT/help/history.html
+%%WWWDIR%%/language/pt_PT/help/maintenance.html
+%%WWWDIR%%/language/pt_PT/help/notification_by_mail.html
 %%WWWDIR%%/language/pt_PT/help/photos_add_ftp.html
+%%WWWDIR%%/language/pt_PT/help/search.html
+%%WWWDIR%%/language/pt_PT/help/synchronize.html
+%%WWWDIR%%/language/pt_PT/help/user_list.html
 %%WWWDIR%%/language/pt_PT/index.php
 %%WWWDIR%%/language/pt_PT/install.lang.php
 %%WWWDIR%%/language/pt_PT/iso.txt
@@ -1160,9 +1302,12 @@
 %%WWWDIR%%/language/ro_RO/about.html
 %%WWWDIR%%/language/ro_RO/admin.lang.php
 %%WWWDIR%%/language/ro_RO/common.lang.php
+%%WWWDIR%%/language/ro_RO/help/cat_move.html
 %%WWWDIR%%/language/ro_RO/index.php
+%%WWWDIR%%/language/ro_RO/install.lang.php
 %%WWWDIR%%/language/ro_RO/iso.txt
 %%WWWDIR%%/language/ro_RO/ro_RO.jpg
+%%WWWDIR%%/language/ro_RO/upgrade.lang.php
 %%WWWDIR%%/language/ru_RU/about.html
 %%WWWDIR%%/language/ru_RU/admin.lang.php
 %%WWWDIR%%/language/ru_RU/common.lang.php
@@ -1185,9 +1330,7 @@
 %%WWWDIR%%/language/ru_RU/help/permalinks.html
 %%WWWDIR%%/language/ru_RU/help/photos_add_ftp.html
 %%WWWDIR%%/language/ru_RU/help/search.html
-%%WWWDIR%%/language/ru_RU/help/site_manager.html
 %%WWWDIR%%/language/ru_RU/help/synchronize.html
-%%WWWDIR%%/language/ru_RU/help/thumbnail.html
 %%WWWDIR%%/language/ru_RU/help/user_list.html
 %%WWWDIR%%/language/ru_RU/index.php
 %%WWWDIR%%/language/ru_RU/install.lang.php
@@ -1197,6 +1340,7 @@
 %%WWWDIR%%/language/sh_RS/about.html
 %%WWWDIR%%/language/sh_RS/admin.lang.php
 %%WWWDIR%%/language/sh_RS/common.lang.php
+%%WWWDIR%%/language/sh_RS/help/cat_modify.html
 %%WWWDIR%%/language/sh_RS/help/help_add_photos.html
 %%WWWDIR%%/language/sh_RS/help/index.php
 %%WWWDIR%%/language/sh_RS/index.php
@@ -1220,11 +1364,12 @@
 %%WWWDIR%%/language/sk_SK/iso.txt
 %%WWWDIR%%/language/sk_SK/sk_SK.jpg
 %%WWWDIR%%/language/sk_SK/upgrade.lang.php
-%%WWWDIR%%/language/sl_SL/about.html
-%%WWWDIR%%/language/sl_SL/admin.lang.php
-%%WWWDIR%%/language/sl_SL/common.lang.php
-%%WWWDIR%%/language/sl_SL/iso.txt
-%%WWWDIR%%/language/sl_SL/sl_SL.jpg
+%%WWWDIR%%/language/sl_SI/about.html
+%%WWWDIR%%/language/sl_SI/admin.lang.php
+%%WWWDIR%%/language/sl_SI/common.lang.php
+%%WWWDIR%%/language/sl_SI/index.php
+%%WWWDIR%%/language/sl_SI/iso.txt
+%%WWWDIR%%/language/sl_SI/sl_SI.jpg
 %%WWWDIR%%/language/sr_RS/about.html
 %%WWWDIR%%/language/sr_RS/admin.lang.php
 %%WWWDIR%%/language/sr_RS/common.lang.php
@@ -1241,23 +1386,36 @@
 %%WWWDIR%%/language/sv_SE/help/cat_options.html
 %%WWWDIR%%/language/sv_SE/help/cat_perm.html
 %%WWWDIR%%/language/sv_SE/help/configuration.html
+%%WWWDIR%%/language/sv_SE/help/extend_for_templates.html
 %%WWWDIR%%/language/sv_SE/help/group_list.html
 %%WWWDIR%%/language/sv_SE/help/help_add_photos.html
 %%WWWDIR%%/language/sv_SE/help/help_groups.html
+%%WWWDIR%%/language/sv_SE/help/help_misc.html
 %%WWWDIR%%/language/sv_SE/help/help_permissions.html
+%%WWWDIR%%/language/sv_SE/help/help_virtual_links.html
+%%WWWDIR%%/language/sv_SE/help/history.html
 %%WWWDIR%%/language/sv_SE/help/index.php
-%%WWWDIR%%/language/sv_SE/help/thumbnail.html
+%%WWWDIR%%/language/sv_SE/help/maintenance.html
+%%WWWDIR%%/language/sv_SE/help/notification_by_mail.html
+%%WWWDIR%%/language/sv_SE/help/permalinks.html
+%%WWWDIR%%/language/sv_SE/help/search.html
 %%WWWDIR%%/language/sv_SE/help/user_list.html
 %%WWWDIR%%/language/sv_SE/install.lang.php
 %%WWWDIR%%/language/sv_SE/iso.txt
 %%WWWDIR%%/language/sv_SE/sv_SE.jpg
 %%WWWDIR%%/language/sv_SE/upgrade.lang.php
+%%WWWDIR%%/language/ta_IN/common.lang.php
+%%WWWDIR%%/language/ta_IN/iso.txt
+%%WWWDIR%%/language/ta_IN/ta_IN.jpg
 %%WWWDIR%%/language/th_TH/about.html
 %%WWWDIR%%/language/th_TH/admin.lang.php
 %%WWWDIR%%/language/th_TH/common.lang.php
+%%WWWDIR%%/language/th_TH/help/index.php
+%%WWWDIR%%/language/th_TH/help/user_list.html
 %%WWWDIR%%/language/th_TH/install.lang.php
 %%WWWDIR%%/language/th_TH/iso.txt
 %%WWWDIR%%/language/th_TH/th_TH.jpg
+%%WWWDIR%%/language/th_TH/upgrade.lang.php
 %%WWWDIR%%/language/tr_TR/about.html
 %%WWWDIR%%/language/tr_TR/admin.lang.php
 %%WWWDIR%%/language/tr_TR/common.lang.php
@@ -1270,8 +1428,11 @@
 %%WWWDIR%%/language/tr_TR/help/help_groups.html
 %%WWWDIR%%/language/tr_TR/help/help_misc.html
 %%WWWDIR%%/language/tr_TR/help/help_permissions.html
+%%WWWDIR%%/language/tr_TR/help/history.html
 %%WWWDIR%%/language/tr_TR/help/notification_by_mail.html
+%%WWWDIR%%/language/tr_TR/help/photos_add_ftp.html
 %%WWWDIR%%/language/tr_TR/help/search.html
+%%WWWDIR%%/language/tr_TR/help/synchronize.html
 %%WWWDIR%%/language/tr_TR/help/user_list.html
 %%WWWDIR%%/language/tr_TR/install.lang.php
 %%WWWDIR%%/language/tr_TR/iso.txt
@@ -1280,6 +1441,26 @@
 %%WWWDIR%%/language/uk_UA/about.html
 %%WWWDIR%%/language/uk_UA/admin.lang.php
 %%WWWDIR%%/language/uk_UA/common.lang.php
+%%WWWDIR%%/language/uk_UA/help/cat_modify.html
+%%WWWDIR%%/language/uk_UA/help/cat_move.html
+%%WWWDIR%%/language/uk_UA/help/cat_options.html

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-03-23 13:30:44 UTC
State Changed
From-To: open->closed

Committed, thanks.